Autor Tema: Error al tratar de re-instalar toba  (Leído 244 veces)

0 Usuarios y 1 Visitante están viendo este tema.

obelgran

  • Full Member
  • ***
  • Mensajes: 161
    • Ver Perfil
  • Institución: Universidad Nacional de Rosario
  • Nombre y apellido: Oscar Rafael Belgrano
  • Sistema: toba
  • Teléfono laboral: (0341) 4201245
Error al tratar de re-instalar toba
« on: Abril 19, 2022, 12:24:44 pm »
Buenas
Al correr composer install me da error (ver al final de la cita)
Adjunto composer.json (como .doc renonbrar antes de abrir) para que vean las dependencias ( antes de la fecha de hoy funcionaba perfectamente ...)


Cita
apache@tobadesarrollo2:/opt/turnos$ composer install
No composer.lock file present. Updating dependencies to latest instead of installing from lock file. See https://getcomposer.org/install for more information.
Loading composer repositories with package information
Info from https://repo.packagist.org: #StandWithUkraine
Updating dependencies
Lock file operations: 81 installs, 0 updates, 0 removals
  - Locking container-interop/container-interop (1.2.0)
  - Locking dapphp/securimage (3.6.8)
  - Locking doctrine/cache (1.12.1)
  - Locking doctrine/lexer (1.2.3)
  - Locking egulias/email-validator (1.2.17)
  - Locking ezyang/htmlpurifier (v4.14.0)
  - Locking firebase/php-jwt (v5.5.1)
  - Locking guiguiboy/php-cli-progress-bar (dev-master 7d3eb61)
  - Locking guzzlehttp/guzzle (6.5.5)
  - Locking guzzlehttp/promises (1.5.1)
  - Locking guzzlehttp/psr7 (1.8.5)
  - Locking ioncube/php-openssl-cryptor (dev-master c407aca)
  - Locking ircmaxell/security-lib (v1.1.0)
  - Locking justinrainbow/json-schema (1.6.1)
  - Locking laminas/laminas-escaper (2.6.1)
  - Locking laminas/laminas-stdlib (3.2.1)
  - Locking laminas/laminas-uri (2.7.1)
  - Locking laminas/laminas-validator (2.13.5)
  - Locking laminas/laminas-zendframework-bridge (1.1.1)
  - Locking markbaker/complex (1.5.0)
  - Locking markbaker/matrix (1.2.3)
  - Locking michelf/php-markdown (1.9.1)
  - Locking mjohnson/decoda (6.12.0)
  - Locking monolog/monolog (1.27.0)
  - Locking onelogin/php-saml (3.6.1)
  - Locking paragonie/constant_time_encoding (v2.5.0)
  - Locking paragonie/random-lib (v2.0.1)
  - Locking paragonie/random_compat (v2.0.21)
  - Locking paragonie/sodium_compat (v1.17.1)
  - Locking pear/console_getopt (v1.4.3)
  - Locking pear/math_biginteger (v1.0.3)
  - Locking pear/pear-core-minimal (v1.10.11)
  - Locking pear/pear_exception (v1.0.2)
  - Locking phpmailer/phpmailer (v6.6.0)
  - Locking phpoffice/phpspreadsheet (1.12.0)
  - Locking phpoption/phpoption (1.8.1)
  - Locking pimple/pimple (v3.2.3)
  - Locking psr/container (1.0.0)
  - Locking psr/http-message (1.0.1)
  - Locking psr/log (1.1.4)
  - Locking psr/simple-cache (1.0.1)
  - Locking ralouphie/getallheaders (3.0.3)
  - Locking robmorgan/phinx (v0.8.1)
  - Locking robrichards/xmlseclibs (3.1.1)
  - Locking rospdf/pdf-php (0.12.63)
  - Locking seld/cli-prompt (1.0.4)
  - Locking seld/jsonlint (1.9.0)
  - Locking siu-toba/framework (v3.2.18)
  - Locking siu-toba/jwt-util (v1.0.3)
  - Locking siu-toba/numbers_words (0.18.0.1)
  - Locking siu-toba/rest (v2.0.7)
  - Locking siu-toba/services_json (1.0.3.4)
  - Locking siu-toba/ssl-cert-utils (v1.0)
  - Locking siu-toba/structures_graph (v1.1.1.1)
  - Locking siu-toba/text_highlighter (0.8.1.3)
  - Locking siu/arai-cli (v2.7.6)
  - Locking siu/arai-crypto (v1.2.0)
  - Locking siu/arai-json-migrator (v1.1.0)
  - Locking siu/arai-json-parser (v3.1.5)
  - Locking siu/check-constraints (v1.1.5)
  - Locking siu/instalador (v1.7.0)
  - Locking siu/interfaces-manejador-salida-toba (v1.1)
  - Locking siu/json-util (v1.3)
  - Locking siu/manejador-salida-bootstrap (v1.2.2)
  - Locking siu/manejador-salida-toba (v1.0.2)
  - Locking siu/rdi (0.9.12)
  - Locking siu/security-multitool (1.1.0)
  - Locking siu/toba-ini (v1.0.0)
  - Locking symfony/config (v3.4.47)
  - Locking symfony/console (v3.4.47)
  - Locking symfony/debug (v3.4.47)
  - Locking symfony/filesystem (v3.4.47)
  - Locking symfony/finder (v3.4.47)
  - Locking symfony/polyfill-ctype (v1.25.0)
  - Locking symfony/polyfill-intl-idn (v1.25.0)
  - Locking symfony/polyfill-intl-normalizer (v1.25.0)
  - Locking symfony/polyfill-mbstring (v1.25.0)
  - Locking symfony/polyfill-php72 (v1.25.0)
  - Locking symfony/process (v3.4.47)
  - Locking symfony/yaml (v3.4.47)
  - Locking vlucas/phpdotenv (v3.6.10)
Writing lock file
Installing dependencies from lock file (including require-dev)
Package operations: 19 installs, 8 updates, 0 removals
  - Downloading siu-toba/framework (v3.2.18)
  - Syncing siu/arai-crypto (v1.2.0) into cache
  - Syncing siu/arai-cli (v2.7.6) into cache
  - Syncing siu/toba-ini (v1.0.0) into cache
  - Syncing siu/check-constraints (v1.1.5) into cache
  - Syncing siu/instalador (v1.7.0) into cache
  - Syncing siu/manejador-salida-bootstrap (v1.2.2) into cache
  - Installing doctrine/lexer (1.2.3): Extracting archive
  - Installing firebase/php-jwt (v5.5.1): Extracting archive
  - Installing guzzlehttp/promises (1.5.1): Extracting archive
  - Installing guzzlehttp/psr7 (1.8.5): Extracting archive
  - Installing paragonie/random_compat (v2.0.21): Extracting archive
  - Installing paragonie/sodium_compat (v1.17.1): Extracting archive
  - Installing symfony/polyfill-mbstring (v1.25.0): Extracting archive
  - Installing michelf/php-markdown (1.9.1): Extracting archive
  - Installing ezyang/htmlpurifier (v4.14.0): Extracting archive
  - Installing seld/jsonlint (1.9.0): Extracting archive
  - Installing pear/pear-core-minimal (v1.10.11): Extracting archive
  - Installing doctrine/cache (1.12.1): Extracting archive
  - Installing phpmailer/phpmailer (v6.6.0): Extracting archive
  - Installing symfony/polyfill-php72 (v1.25.0): Extracting archive
  - Installing symfony/polyfill-intl-normalizer (v1.25.0): Extracting archive
  - Installing symfony/polyfill-intl-idn (v1.25.0): Extracting archive
  - Installing siu-toba/framework (v3.2.18): Extracting archive
    siu/arai-crypto has modified files:
    M .gitignore
    M CHANGELOG.md
    M README.md
    M composer.json
    M phpunit.xml
    M src/SIU/AraiCrypto/AraiCrypto.php
    M src/SIU/AraiCrypto/Backend.php
    M src/SIU/AraiCrypto/Backends/Asymmetric.php
    M src/SIU/AraiCrypto/Backends/Asymmetric/Halite.php
    M src/SIU/AraiCrypto/Backends/Asymmetric/None.php
    11 more files modified, choose "v" to view the full list
    Discard changes [y,n,v,d,s,?]? ?
    y - discard changes and apply the update
    n - abort the update and let you manually clean things up
    v - view modified files
    d - view local modifications (diff)
    s - stash changes and try to reapply them after the update
    ? - print help
    Discard changes [y,n,v,d,s,?]?

richard

  • Moderador Global
  • *****
  • Mensajes: 2991
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Ricardo Dalinger
  • Sistema: SIU-Toba
Re:Error al tratar de re-instalar toba
« Respuesta #1 on: Abril 19, 2022, 05:26:51 pm »
Hola Oscar,

por lo que veo del msg.. el error es porque aparecen archivos del paquete siu/arai-crypto modificados... puede ser algo tan simple como permisos distintos, el tema ahi es:

- que implica que esos archivos esten modificados?... son una version que se bajo manualmente?.. se modificaron por algo en particular?

- si pones que se descarten dichos cambios (unica manera de seguir adelante) que implica para el proceso del proyecto?.

Finalmente, preguntas varias para llegar al fondo de esto:
 - por que motivo se llego a dicha situacion?  existia la carpeta vendor desde antes?
 - en caso afirmativo se copio desde otro lugar?
 - por que no existia el archivo lock?
 - por que motivo no se utilizo composer update ?

Puede ser algo tan sencillo como "copie la carpeta de otro lugar" o "tengo esa carpeta con archivos modificados y no tengo idea el motivo o si se va a romper cuando lo corrija".
La cuestion es ver como se llego hasta este punto, si es una instalacion que venia funcionando.. tiene que existir el archivo "composer.lock" y todas las carpetas deberian tener los mismos permisos.

Saludos

Twitter es al incontinente verbal,  lo que los dulces al diabetico.

obelgran

  • Full Member
  • ***
  • Mensajes: 161
    • Ver Perfil
  • Institución: Universidad Nacional de Rosario
  • Nombre y apellido: Oscar Rafael Belgrano
  • Sistema: toba
  • Teléfono laboral: (0341) 4201245
Re:Error al tratar de re-instalar toba
« Respuesta #2 on: Abril 20, 2022, 09:15:39 am »
Hola Richard

Se borró el composer.lock porque daba el mismo error al ejecutar composer update ...
Al elegir las opciones "y" y "n" entra en un bucle y te vuelve a pedir la opciones.

Estabamos con un problema raro (ef_html no muestra datos cargados) en toba 3.2.18 y quisimos actualizar a la ultima versión de la rama: 3.2.22 para ver si estaba corregido, eliminamos la carpeta vendor completa y el error persitió de la misma manera...



richard

  • Moderador Global
  • *****
  • Mensajes: 2991
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Ricardo Dalinger
  • Sistema: SIU-Toba
Re:Error al tratar de re-instalar toba
« Respuesta #3 on: Abril 20, 2022, 04:07:09 pm »
Hola Oscar,
Se borró el composer.lock porque daba el mismo error al ejecutar composer update ...
Al elegir las opciones "y" y "n" entra en un bucle y te vuelve a pedir la opciones.

que version de composer usan?, por otro lado es extraño que vuelva a requerirles una decision sobre el mismo paquete cuando ya la tomaron (salvo que no le llegue el valor)... normalmente cuando se decide descartar los cambios o actualiza directamente o solicita confirmacion para bajar el zip si es que no puede encontrar forma de hacerlo via GIT.

Salvo que se trate de algun inconveniente con composer y/o no pueda escribir el disco, no le encuentro mucha vuelta.

Cita
Estabamos con un problema raro (ef_html no muestra datos cargados) en toba 3.2.18 y quisimos actualizar a la ultima versión de la rama: 3.2.22 para ver si estaba corregido, eliminamos la carpeta vendor completa y el error persitió de la misma manera...

Esto es aun mas extraño, si eliminaste la carpeta vendor de manera completa.. no hay archivos contra los cuales hacer un diff para ver si el paquete fue modificado o no, por ende no puede dar dicho error.

No tendran algun cliente diabolico que esta manoseando el directorio por detras?, me inclino por alguno que use overlay de iconos al estilo Tortoise en windows y que este intentando mantener un snapshot a pesar de lo que intentas hacer vos.

Otra opcion podria ser algun cache de disco, que no este reflejando correctamente la eliminacion de la carpeta... si fuera un tema de permisos de usuario te deberia saltar cuando intentas eliminar la carpeta vendor.

Ahora que mencione esto ultimo, Apache esta corriendo mientras intentan hacer esto?.. probaron parando la ejecucion previamente? (seria loco pero una carpeta resucitada tambien lo es :D)

Saludos
Twitter es al incontinente verbal,  lo que los dulces al diabetico.